<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8" />
    <meta content="EndeavourOS svobodný operační systém...." name="description" />
    <meta content="EndeavourOS, ArchLinux, Openbox" name="keywords" />
    <meta content="Kankys" name="author" />

    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <link href="assets/style.css" rel="stylesheet" />
    <link href="/img/icons.png" rel="shortcut icon" />
    <script crossorigin="anonymous" src="https://kit.fontawesome.com/0a43c6cd1f.js"></script>
    <!--icons dark, go to up-->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet" />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Openbox správce oken</title>
</head>

<body>
    <?php require 'assets/header.php'; ?>
    <main>
        <section class="welcome">
            <h1>Openbox správce oken</h1>
            <h2>Openbox v EndeavourOS</h2>
            <h3>Úvod</h3>
            <p><a href="https://openbox.org/" target="_blank">Openbox</a> je vysoce konfigurovatelný a minimální správce plovoucích oken. To vám umožní spravovat okna s myší tak, jak byste to dělali na tradičním DE, jako je Xfce, ale Openbox umožňuje mnohem více konfigurace, jako je tomu u většiny samostatných manažerů oken. Očekávanou vedlejší efekt je, že Openbox je velmi lehký na systémové prostředky.</p>
            <p>Správce Obenbox je lehký správce oken, který je navržen tak, aby byl rychlý a efektivní. Může být použit samostatně nebo v kombinaci s jinými desktopovými prostředími, jako je GNOME nebo XFCE.</p>
            <img src="img/Openbox.png" style="width: 65%;height: auto;" alt="">
            <h3>Hlavní konfigurace</h3>
            <p>Openbox hlavní konfigurace je na <strong>~/.config/openbox/rc.xml</strong>. Obvykle ji nemusíte upravovat ručně. Můžete použít <strong>obconf</strong>. Nástroj pro provedení změn konfigurace prostřednictvím <strong>GUI</strong>. Tento konfigurační <strong>rc.xml</strong> soubor obsahuje:</p>
            <ul style="list-style: none; color:red;">
                <li>Klávesové zkratky</li>
                <li>emming</li>
                <li>Nastavení plochy a virtuální plochy</li>
                <li>Nastavení okna aplikace</li>
            </ul>
            <p>Konfigurace kliknutí na nabídku se ukládá v souboru <strong>~/.config/openbox/menu.xml</strong>. Tento soubor obsahuje statické menu.</p>
            <p>Aplikace automatického startu jsou definovány v <strong>~/.config/openbox/autostart</strong>.</p>
            <p>Pod <strong>~/.config/openbox/scripts/</strong> najdete v různé skripty, které Openbox CE používá pro různé funkce.</p>
            <h3>Menu launcher aplikací</h3>
            <p>Nabídka aktivovaná kliknutím na levé dolní tlačítko je <strong>jgmenu</strong>. Jeho konfigurace je uložena na <strong>~/.config/openbox/jgmenu/jgmenurc</strong>.</p>
            <h3>Dunst</h3>
            <p>Dunst zobrazuje vaše oznámení. Config se nachází v <strong>~/.config/dunst/dunstrc</strong>. Můžete změnit barvy atd.</p>
            <p>Jedním z důležitých nastavení, které chcete změnit, je vazba pro Ctrl + grave. Ve výchozím nastavení se to používá k prokazování historie. Užitečné v případě, že zmeškáte oznámení nebo chcete znovu vidět podrobnosti. Klíčové vázání může být v rozporu s jinými aplikacemi. Stejné klávesové vázání se používá například i v Code-OSS/VSCode. Chcete-li zakázat toto chování, otevřete konfigurační soubor dunstrc a komentujte linku 274.</p>
            <p><a href="https://github.com/EndeavourOS-Community-Editions/openbox/blob/main/.config/dunst/dunstrc#L274" target="_blank">https://github.com/EndeavourOS-Community-Editions/openbox/blob/main/.config/dunst/dunstrc#L274</a></p>
            <p>Chcete-li to komentovat, jednoduše dáte symbol hastag # na začátku řádku.</p>
            <p>Panel, který používáme, je Tint2. Jeho konfigurace je uložena na <strong>~/.config/tint2/tint2rc</strong>. Panel lze také konfigurovat prostřednictvím přiložené aplikace nastavení <strong>Tint2</strong>.</p>
            <p>Vývoj Openbox pro EndeavourOS se děje v repozitářích GitHub. Úložiště je na <a href="https://github.com/EndeavourOS-Community-Editions/openbox/" target="_blank">https://github.com/EndeavourOS-Community-Editions/openbox/</a>.</p>
            <hr>
            <h2>Openbox tipy pro EndeavourOS a ostatní distribuce</h2>
            <p><code><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
            <h3>Vývoj Openbox a EndeavourOS</h3>
                23.11.2024</code></p>
        </section>
    </main>
    <?php require 'assets/returnbutton.php'; ?>
    <?php require 'assets/footer.php'; ?>
    <script src="assets/script.js"></script>
</body>

</html>